tt_bcontext_quit(library call)

NAME
tt_bcontext_quit — remove a byte-array value from the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_bcontext_quit(
const char *slotname,
const unsigned char *value,
int length);

DESCRIPTION

The tt_bcontext_quit function removes the given byte-array value from the list of values for the contexts of all patterns. The context is compared to currently registered patterns for the procid. If a pattern has a slot with the specified name, the given byte string value is removed from the list of values for that slot. If there are duplicate values, only one value is removed.

The slotname argument is the name of the context. The value argument is the value to be removed. The length argument is the length in bytes of the value.

RETURN VALUE

Upon successful completion, the tt_bcontext_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).